# Update a branch

Updates the details associated with a branch with a specific ID.

Endpoint: PUT /api/v2/cm/branches/{branchId}
Version: v2.0
Security: OAuth2.0

## Path parameters:

  - `branchId` (string, required)
    The ID of the branch to update, for example prod.

## Request fields (application/json-patch+json):

  - `name` (string, required)

## Response 200 fields (application/json):

  - `system` (object, required)

  - `system.createdAt` (string, required)

  - `system.createdBy` (string,null, required)

  - `system.hash` (string,null, required)

  - `system.type` (string,null, required)

  - `system.updatedAt` (string,null)

  - `system.updatedBy` (string,null)

  - `id` (string,null)

  - `source` (string,null)

  - `name` (string,null)

  - `path` (string,null)

## Response 401 fields (application/json):

  - `type` (string,null)

  - `title` (string,null)

  - `status` (integer,null)

  - `detail` (string,null)

  - `instance` (string,null)


## Response 500 fields
